%define upstream_name    Device-Gsm
%define upstream_version 1.58

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Interface gsm handphones and  modems
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Device::Modem)
BuildRequires: perl(Device::SerialPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
'Device::Gsm' class implements basic GSM functions, network registration
and SMS sending.

This class supports also 'PDU' mode to send 'SMS' messages, and should be
fairly usable. In the past, I have developed and tested it under Linux
RedHat 7.1 with a 16550 serial port and Siemens C35i/C45 GSM phones
attached with a Siemens-compatible serial cable. Currently, I'm developing
and testing this stuff with Linux Slackware 10.2 and a *Cambridge Silicon
Radio* (CSR) USB bluetooth dongle, connecting to a Nokia 6600 phone.

Please be kind to the universe and contact me if you have troubles or you
are interested in this.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc INSTALL Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Nov 27 2011 kharec <kharec> 1.580.0-1.mga2
+ Revision: 173050
- imported package perl-Device-Gsm


* Sun Nov 27 2011 cpan2dist 1.58-1mga
- initial mageia release, generated with cpan2dist
